
// Ch7Demo1Dlg.h : 头文件
//

#pragma once
#include "CStudentSet.h"

// CCh7Demo1Dlg 对话框
class CCh7Demo1Dlg : public CDialogEx
{
// 构造
public:
	CCh7Demo1Dlg(CWnd* pParent = NULL);	// 标准构造函数

// 对话框数据
	enum { IDD = IDD_DIALOG_STUDENT };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
//	CString m_strStuentSDate;
	CString m_strSMajor;
	CString m_strSName;
	CString m_strSNo;
	CString m_strSSDate;
	CString m_strSSex;
	CStudentSet m_rsStudentSet;
	CString m_strSBDate;
	CString m_strSNo_Q;
	CString m_strSNAME_Q;
	bool m_bAdd;
	bool m_bEdit;
	bool m_bEmpty;
	bool m_bFirst;
	bool m_bLast;
	afx_msg void OnBnClickedBnNext();
	afx_msg void OnBnClickedBnPrev();
	afx_msg void OnBnClickedBnFirst();
	afx_msg void OnBnClickedBnLast();
	afx_msg void OnBnClickedBnQuery();
	afx_msg void OnBnClickedBnAdd();
	afx_msg void OnBnClickedBnEdit();
	afx_msg void OnBnClickedBnDelete();
	afx_msg void OnBnClickedBnExit();
	afx_msg void OnBnClickedBnSave();
	afx_msg void OnBnClickedBnCancel();
	void ReadRecord(void);
	void WriteRecord(void);
	void ClearEditData(void);	
	void SetMoveBNState(void);
	void SetEditState(void);
};
